#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::Httpd;
use Vhffs::Panel::DNS;

my $config;
my $mysql_config;
my $services_config;
my $group;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


$group = new Vhffs::Group( $princ , "sodaproject" , 401) ;

my $lol = Vhffs::Panel::DNS::getall_dns_per_group( $group , $princ );

foreach( keys ( %{$lol} ) )
{
	print $_ ."etat :". $lol->{$_}{'state'};
}
