#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::DNS;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


$user = new Vhffs::User( $princ , "sodalol" , 401) ;
$group = new Vhffs::Group( $princ , "sodalol" , 401) ;


my $dns = new Vhffs::Services::DNS( $princ , "proutlol4.com" , $user , $group );

if( defined $dns )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

if( $dns->create > 0)
{
	print "Successfully create dns object in the database\n";
}
else
{
	print "ERROR while create dns object in the database\n";
}

$dns->commit;

$dns->add_a("prou" , "900.10.10.3");

use Data::Dumper;

print Dumper $dns;
