#!/usr/bin/perl

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Mysql;
use Vhffs::Services::Httpd;
use Vhffs::Acl;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;



$user = new Vhffs::User( $princ , $ARGV[0] , 401) ;

my $sql = new Vhffs::Services::Httpd( $princ , "prout.com", $user );

print "Error while fetching mysql object" if( $sql->fetch < 0 );
print "Error while fetching user object" if( $user->fetch < 0 );

print "permission";
print Vhffs::Acl::what_perm_for_user($user , $sql , $princ);
print "\n";
